> For the complete documentation index, see [llms.txt](https://docs.b2winsuite.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2winsuite.com/6.1/scripting/utilities/dataframequeryutil.md).

# DataFrameQueryUtil

`DataFrameQueryUtil` provides utility methods for executing database queries on DataFrame objects.

### Methods

#### `queryValue(query: String)`

**Description:** Executes a SQL query on a DataFrame object..

**Parameters:**

* `query` (type: String): The SQL query to execute.

**Returns:** A string containing the result of the query in the first row and first column.

**Example: Get the email address of a user based on their username.**

**Use Case**: Useful for retrieving user contact information from a dataframe

{% code fullWidth="false" %}

```typescript
var userEmail = DataFrameQueryUtil.queryValue("SELECT email from VisualQuery_1 where username like 'Samuel'")
```

{% endcode %}

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.b2winsuite.com/6.1/scripting/utilities/dataframequeryutil.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
